---
title: 'str:concat()'
slug: Web/EXSLT/str/concat
tags:
  - EXSLT
  - NeedsSpecTable
  - Reference
---
<p>{{XSLTRef}}{{QuickLinksWithSubpages("/en-US/docs/Web/EXSLT")}}</p>

<p><code>str:concat()</code> returns a string containing all the string values in a node-set concatenated together.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">str:concat(<var>nodeSet</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>nodeSet</code></dt>
 <dd>The node-set whose nodes' string values should be concatenated into one string.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A string whose value is all the string values of the nodes in <code>nodeSet</code> concatenated together. If <code>nodeSet</code> is empty, an empty string is returned.</p>

<h2 id="Specifications">Specifications</h2>

<p><a class="external" href="http://www.exslt.org/str/functions/concat/index.html">EXSLT - STR:CONCAT</a></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("xslt.exslt.str.concat")}}</p>
